MKBOOT(8)

NAME
mkboot - makes a bootdisk

SYNOPSIS
mkboot [-r rootpartition] [-i] [kernel]

DESCRIPTION

mkboot makes a bootdisk.

By default the bootdisk will use the kernel /vmlinuz and the current root partition. Use the -r option to specify a different parition, and provide the new kernel file directly to specify a different kernel.

If invoked with the -i option, it tries to make a Debian GNU/Linux system bootable after a new kernel was installed by /sbin/installkernel. If ELILO is installed, it runs /usr/sbin/elilo. If GRUB is installed, it does nothing. If LILO is in use, it runs /sbin/lilo. Otherwise, mkboot will make a new bootdisk.

BUGS

mkboot only works on i386 and ia64. mkboot only works on floppy diskette drives. If rdev is not present, mkboot will fail to determine the correct root partition. Patches to correct these deficiencies are welcome.

SEE ALSO
installkernel(8), lilo(8), grub(8)